complexType "CalculationPeriodFrequency"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier?, period?, rollConvention?
</...>

Content Model Elements (3):

  period (defined in Frequency complexType),
  periodMultiplier (defined in Frequency complexType),
  rollConvention (defined in CalculationPeriodFrequency complexType)

All Direct / Indirect Based Elements (4):

  averagingPeriodFrequency,
  calculationPeriodFrequency (defined in PeriodicDates complexType),
  calculationPeriodFrequency (in calculationPeriodDates),
  calculationPeriodFrequency (in observationSchedule)

Known Usage Locations

- As direct type of elements (4):
  averagingPeriodFrequency,
  calculationPeriodFrequency (defined in PeriodicDates complexType),
  calculationPeriodFrequency (in calculationPeriodDates),
  calculationPeriodFrequency (in observationSchedule)

Annotation
A type defining the frequency at which calculation period end dates occur within the regular part of the calculation period schedule and thier roll date convention. In case the calculation frequency is of value T (term), the period is defined by the swap\swapStream\calculationPerioDates\effectiveDate and the swap\swapStream\calculationPerioDates\terminationDate.
Type Definition Detail

Type Derivation Tree Frequency (extension) CalculationPeriodFrequency

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CalculationPeriodFrequency"> <xsd:complexContent> <xsd:extension base="Frequency"> <xsd:sequence> <xsd:element minOccurs="0" name="rollConvention" type="RollConventionEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/3)
rollConvention

  Type: | RollConventionEnum, simple content

  Used in conjunction with a frequency and the regular period start date of a calculation period, determines each calculation period end date within the regular part of a calculation period schedule.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "EOM" | - | Rolls on month end dates irrespective of the length of the month and the previous roll day. See: http://www.FpML.org
  "FRN" | - | Roll days are determined according to the FRN Convention or Eurodollar Convention as described in ISDA 2000 definitions. See: http://www.FpML.org
  "IMM" | - | IMM Settlement Dates. The third Wednesday of the (delivery) month. See: http://www.FpML.org
  "IMMCAD" | - | The last trading day/expiration day of the Canadian Derivatives Exchange (Bourse de Montreal Inc) Three-month Canadian Bankers' Acceptance Futures (Ticker Symbol BAX). The second London banking day prior to the third Wednesday of the contract month. If the determined day is a Bourse or bank holiday in Montreal or Toronto, the last trading day shall be the previous bank business day. Per Canadian Derivatives Exchange BAX contract specification. See: http://www.FpML.org
  "IMMAUD" | - | The last trading day of the Sydney Futures Exchange 90 Day Bank Accepted Bills Futures contract (see http://www.sfe.com.au/content/sfe/trading/con_specs.pdf). One Sydney business day preceding the second Friday of the relevant settlement month. See: http://www.FpML.org
  "IMMNZD" | - | The last trading day of the Sydney Futures Exchange NZ 90 Day Bank Bill Futures contract (see http://www.sfe.com.au/content/sfe/trading/con_specs.pdf). The first Wednesday after the ninth day of the relevant settlement month. See: http://www.FpML.org
  "SFE" | - | Sydney Futures Exchange 90-Day Bank Accepted Bill Futures Settlement Dates. The second Friday of the (delivery) month. See: http://www.sfe.com.au
  "NONE" | - | The roll convention is not required. For example, in the case of a daily calculation frequency. See: http://www.FpML.org
  "TBILL" | - | 13-week and 26-week U.S. Treasury Bill Auction Dates. Each Monday except for U.S. (New York) holidays when it will occur on a Tuesday. See: http://www.publicdebt.treas.gov
  "1" | - | Rolls on the 1st day of the month. See: http://www.FpML.org
  "2" | - | Rolls on the 2nd day of the month. See: http://www.FpML.org
  "3" | - | Rolls on the 3rd day of the month. See: http://www.FpML.org
  "4" | - | Rolls on the 4th day of the month. See: http://www.FpML.org
  "5" | - | Rolls on the 4th day of the month. See: http://www.FpML.org
  "6" | - | Rolls on the 6th day of the month. See: http://www.FpML.org
  "7" | - | Rolls on the 7th day of the month. See: http://www.FpML.org
  "8" | - | Rolls on the 8th day of the month. See: http://www.FpML.org
  "9" | - | Rolls on the 9th day of the month. See: http://www.FpML.org
  "10" | - | Rolls on the 10th day of the month. See: http://www.FpML.org
  "11" | - | Rolls on the 11th day of the month. See: http://www.FpML.org
  "12" | - | Rolls on the 12th day of the month. See: http://www.FpML.org
  "13" | - | Rolls on the 13th day of the month. See: http://www.FpML.org
  "14" | - | Rolls on the 14th day of the month. See: http://www.FpML.org
  "15" | - | Rolls on the 15th day of the month. See: http://www.FpML.org
  "16" | - | Rolls on the 16th day of the month. See: http://www.FpML.org
  "17" | - | Rolls on the 17th day of the month. See: http://www.FpML.org
  "18" | - | Rolls on the 18th day of the month. See: http://www.FpML.org
  "19" | - | Rolls on the 19th day of the month. See: http://www.FpML.org
  "20" | - | Rolls on the 20th day of the month. See: http://www.FpML.org
  "21" | - | Rolls on the 21st day of the month. See: http://www.FpML.org
  "22" | - | Rolls on the 22nd day of the month. See: http://www.FpML.org
  "23" | - | Rolls on the 23rd day of the month. See: http://www.FpML.org
  "24" | - | Rolls on the 24th day of the month. See: http://www.FpML.org
  "25" | - | Rolls on the 25th day of the month. See: http://www.FpML.org
  "26" | - | Rolls on the 26th day of the month. See: http://www.FpML.org
  "27" | - | Rolls on the 27th day of the month. See: http://www.FpML.org
  "28" | - | Rolls on the 28th day of the month. See: http://www.FpML.org
  "29" | - | Rolls on the 29th day of the month. See: http://www.FpML.org
  "30" | - | Rolls on the 30th day of the month. See: http://www.FpML.org
  "MON" | - | Rolling weekly on a Monday. See: http://www.FpML.org
  "TUE" | - | Rolling weekly on a Tuesday. See: http://www.FpML.org
  "WED" | - | Rolling weekly on a Wednesday. See: http://www.FpML.org
  "THU" | - | Rolling weekly on a Thursday. See: http://www.FpML.org
  "FRI" | - | Rolling weekly on a Friday. See: http://www.FpML.org
  "SAT" | - | Rolling weekly on a Saturday. See: http://www.FpML.org
  "SUN" | - | Rolling weekly on a Sunday. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rollConvention" type="RollConventionEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.